| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Static Public Member Functions | List of all members
nkAstraeus::nkGaphicsWrap::PrimitiveTopologyWrapper Class Referencefinal

Wraps the enum values of the nkGraphics::PRIMITIVE_TOPOLOGY. More...

## Static Public Member Functions
static void | updateEnvironment (nkScripts::Environment *env)

## Detailed Description

Wraps the enum values of the nkGraphics::PRIMITIVE_TOPOLOGY.

## Member Function Documentation

## ◆ updateEnvironment()

static void nkAstraeus::nkGaphicsWrap::PrimitiveTopologyWrapper::updateEnvironment | ( | nkScripts::Environment * | env | ) |
| static

Updates a given environment and set it up to use all values wrapped by this wrapper.

nkGraphics.PRIMITIVE_TOPOLOGY_UNDEFINED ;
nkGraphics.PRIMITIVE_TOPOLOGY_POINTLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_LINELIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_LINESTRIP ;
nkGraphics.PRIMITIVE_TOPOLOGY_TRIANGLELIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_TRIANGLESTRIP ;
nkGraphics.PRIMITIVE_TOPOLOGY_LINELIST_ADJ ;
nkGraphics.PRIMITIVE_TOPOLOGY_LINESTRIP_ADJ ;
nkGraphics.PRIMITIVE_TOPOLOGY_TRIANGLELIST_ADJ ;
nkGraphics.PRIMITIVE_TOPOLOGY_TRIANGLESTRIP_ADJ ;
nkGraphics.PRIMITIVE_TOPOLOGY_1_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_2_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_3_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_3_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_4_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_5_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_6_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_7_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_8_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_9_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_10_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_11_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_12_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_13_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_14_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_15_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_16_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_17_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_18_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_19_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_20_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_21_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_22_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_23_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_24_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_25_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_26_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_27_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_28_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_29_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_30_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_31_CONTROL_POINT_PATCHLIST ;
nkGraphics.PRIMITIVE_TOPOLOGY_32_CONTROL_POINT_PATCHLIST ;

Parameters

  env | The environment to set up.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsAstraeus/Scripts/nkGraphicsWrap/Enums/PrimitiveTopologyWrapper.h